fmt_str(3)

NAME
fmt_str - write an ASCII string

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_str(char *dest,const char *source);

DESCRIPTION
fmt_str copies all leading nonzero bytes from source to dest and returns the number of bytes it copied.

fmt_str does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_str returns the number of bytes it would have written, i.e. the number of leading nonzero bytes of source.

SEE ALSO
strcpy(3)